#-----------------------------------------------------------------------
# File    : draw.mak
# Contents: build drawing utility modules
# Author  : Christian Borgelt
# History : 27.01.2003 file created
#           20.07.2006 adapted to Visual Studio 8
#-----------------------------------------------------------------------
CC      = cl.exe
LD      = link.exe
DEFS    = /D WIN32 /D NDEBUG /D _CONSOLE /D _CRT_SECURE_NO_WARNINGS
CFLAGS  = /nologo /W3 /O2 /GS- $(DEFS) /c

#-----------------------------------------------------------------------
# Build Modules
#-----------------------------------------------------------------------
all:        wshades.obj proj3d.obj

#-----------------------------------------------------------------------
# Color Shades Management
#-----------------------------------------------------------------------
wshades.obj:  wshades.h wshades.c draw.mak
	$(CC) $(CFLAGS) wshades.c /Fo$@

#-----------------------------------------------------------------------
# 3D to 2D Projection
#-----------------------------------------------------------------------
proj3d.obj:   proj3d.h proj3d.c draw.mak
	$(CC) $(CFLAGS) proj3d.c /Fo$@

#-----------------------------------------------------------------------
# Clean up
#-----------------------------------------------------------------------
clean:
	-@erase /Q *~ *.obj *.idb *.pch
